Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.certra.protocol.v1
Class GetCertificateResponse

    java.lang.Object
      be.fgov.ehealth.certra.protocol.v1.RaResponseType
          be.fgov.ehealth.certra.protocol.v1.GetCertificateResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-10-28T03:09:35+02:00",
               comments="JAXB RI v2.2.6")
    public class GetCertificateResponse

extends RaResponseType
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:certra:protocol:v1}RaResponseType">
           <sequence minOccurs="0">
             <element name="certificate" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             <element name="caCertificates" type="{http://www.w3.org/2001/XMLSchema}base64Binary" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`GetCertificateResponse()`

Method Summary
`List<byte[]>` | `getCaCertificates()` Gets the value of the caCertificates property.
`byte[]` | `getCertificate()` Gets the value of the certificate property.
`void` | `setCertificate(byte[] value)` Sets the value of the certificate property.

Methods inherited from class be.fgov.ehealth.certra.protocol.v1.RaResponseType
`getErrors, getId, getResponse, setId, setResponse`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetCertificateResponse

    public GetCertificateResponse()

Method Detail

### getCertificate

    public byte[] getCertificate()

  Gets the value of the certificate property.

  Returns:
    possible object is byte[]

### setCertificate

    public void setCertificate(byte[] value)

  Sets the value of the certificate property.

  Parameters:
    `value` - allowed object is byte[]

### getCaCertificates

    public List<byte[]> getCaCertificates()

  Gets the value of the caCertificates property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the caCertificates property.

  For example, to add a new item, do as follows:

          getCaCertificates().add(newItem);

  Objects of the following type(s) are allowed in the list byte[]

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.